--- title: "getRegionList" slug: "platform-region-getregionlist" updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/platform-region-getregionlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getRegionList Available in Classic and VPC Get the list of available Regions. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET, POST | /region/getRegionList | ### Request headers The following describes the headers. | Field | Required | Description | | --- | --- | --- | | `x-ncp-apigw-timestamp` | Required | This is the number of milliseconds that have elapsed since January 1, 1970 00:00:00 UTCRequest is considered invalid if the timestamp differs from the current time by more than 5 minutes | | `x-ncp-iam-access-key` | Required | Access key issued on NAVER Cloud PlatformIssue and check access key: See [Create authentication key](/docs/en/common-ncpapi#1-%EC%9D%B8%EC%A6%9D%ED%82%A4-%EC%83%9D%EC%84%B1)Issue and check access key for sub account: See [Create sub account](https://guide.ncloud-docs.com/docs/en/subaccount-use#%EC%84%9C%EB%B8%8C-%EA%B3%84%EC%A0%95-%EC%83%9D%EC%84%B1) | | `x-ncp-apigw-signature-v2` | Required | Base64-encoded signature that encrypts the request information with a secret key that maps to the access key issued on NAVER Cloud Platform, using the HMAC encryption algorithm (HmacSHA256)Issue and check secret key: See [Create authentication key](/docs/en/common-ncpapi#1-%EC%9D%B8%EC%A6%9D%ED%82%A4-%EC%83%9D%EC%84%B1)Create signature: See [Create signature](/docs/en/common-ncpapi#2-%ED%97%A4%EB%8D%94-%EC%83%9D%EC%84%B1) | ### Request query parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code to get - Check through the [getRegionList](/docs/en/platform-region-getregionlist) action | ### Request example The request example is as follows: ``` curl --location --request GET 'https://billingapi.apigw.ntruss.com/billing/v1/region/getRegionList' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [RegionList (For Billing)](/docs/en/common-vapidatatype-regionlistbilling#%ED%95%84%EB%93%9C) for the response body. ### Response status codes For response status codes common to NAVER Cloud Platform, see [Ncloud API response status codes](/docs/en/common-ncpapi#3%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getRegionListResponse": { "totalRows": 6, "regionList": [ { "regionNo": 0, "regionCode": "COM", "regionName": "Common" }, { "regionNo": 1, "regionCode": "KR", "regionName": "Korea" }, { "regionNo": 7, "regionCode": "SGN", "regionName": "Singapore(New)" }, { "regionNo": 8, "regionCode": "JPN", "regionName": "Japan(New)" }, { "regionNo": 9, "regionCode": "USWN", "regionName": "US-West(New)" }, { "regionNo": 10, "regionCode": "DEN", "regionName": "Germany(New)" } ], "requestId": "ea95e478-6984-48e7-be34-7a8dcf016016", "returnCode": "0", "returnMessage": "success" } } ```